export OMP_NUM_THREADS=1
torchrun  --nproc_per_node $nproc_per_node  --nnodes $nnodes  --node_rank $node_rank --master_addr $master_addr --master_port $master_port /workspace/llama_sft/llama_sft.py \
    --model_name_or_path /workspace/Meta-Llama-3-8B-Instruct \
    --model_type llama \
    --tokenizer_name /workspace/Meta-Llama-3-8B-Instruct \
    --input_dataset_path /workspace/llama_sft/sft_data.json \
    --deepspeed "/workspace/llama_sft/ds_config.json" \
    --overwrite_output_dir \
    --per_device_train_batch_size 1 \
    --per_device_eval_batch_size 1 \
    --do_train \
    --do_eval \
    --logging_strategy steps \
    --logging_steps 1 \
    --output_dir "/workspace/output" \
    --num_train_epochs 1

if [ "${node_rank}" -eq 0 ]; then
    echo ${node_rank}
    python /workspace/llama_sft/merge_lora_weight.py \
        --model_name_or_path "/workspace/output/Meta-Llama-3-8B-Instruct-sft" \
        --lora_dir "lora"
fi